#include<bits/stdc++.h>
using namespace std;
ifstream f1("CPRIME.INP");
ofstream f2("CPRIME.OUT");
int m,a[10000];
int main()
{
	int n=0;
	f1>>m;
	for(n<m;n++;)
	f1>>a[n];
	f1.close();
	while(n<m)
	{
		f2<<"NO"<<endl;
		n++;
	}
	f2<<"YES"<<endl;
	f2.close();
	return 0;
}
